# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/ball-ui-handler.ts:11

#####
Index

### Constructors

constructor

### Properties

active
countsText
cursor
cursorObj
mode
pokeballSelectBg
pokeballSelectContainer
scene

### Methods

clear
eraseCursor
getCursor
getTextColor
getUi
processInput
setCursor
setup
show
updateCounts

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/ball-ui-handler.ts:18

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Private` countsText

countsText: Text

- Defined in src/ui/ball-ui-handler.ts:14

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/ball-ui-handler.ts:16

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` pokeballSelectBg

pokeballSelectBg: NineSlice

- Defined in src/ui/ball-ui-handler.ts:13

### `Private` pokeballSelectContainer

pokeballSelectContainer: Container

- Defined in src/ui/ball-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/ball-ui-handler.ts:122

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/ball-ui-handler.ts:128

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/ball-ui-handler.ts:63

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/ball-ui-handler.ts:109

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/ball-ui-handler.ts:22

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/ball-ui-handler.ts:53

### updateCounts

- updateCounts(): void

- #### Returns void

  - Defined in src/ui/ball-ui-handler.ts:105